<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Controls from "./_ex_3_controls.svelte";
  import Scatterplot from "./_ex_3_scatterplot.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/gapminder.json");
  });


  let sliderValueParent = 0;
  let continentParent = "all continents";


  const rightContinent = (newContinent, continentParent) => {
    return (
      newContinent == continentParent || continentParent == "all continents"
    );
  };
</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <div>
    <Scatterplot
      data={data[sliderValueParent]["countries"].filter((d) =>
        rightContinent(d.continent, continentParent)
      )}
    />
    <Controls
      {data}
      bind:sliderValue={sliderValueParent}
      bind:continent={continentParent}
    />

  </div>
{/if}
